Agent evaluations
List Agent evaluation runs
Lists immutable evaluation run records for one tenant-owned Agent under agent-evaluations:read. It has no side effects and is safe to retry with the same cursor and filters.
GET
/
agents
/
{agentId}
/
evaluation-runs
List Agent evaluation runs
curl --request GET \
--url https://api.getarbol.com/v1/agents/{agentId}/evaluation-runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/agents/{agentId}/evaluation-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/agents/{agentId}/evaluation-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"agentId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"baselineRunId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"cancelRequestedAt": "2026-08-29T14:30:00Z",
"completedAt": "2026-08-29T14:30:00Z",
"completedTrials": 4503599627370495,
"createdAt": "2026-08-29T14:30:00Z",
"failedTrials": 4503599627370495,
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"passedTrials": 4503599627370495,
"repetitions": 123,
"result": "pass",
"startedAt": "2026-08-29T14:30:00Z",
"status": "queued",
"suiteId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"suiteRevision": 123,
"summary": {
"baseline": {
"baselineRunId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"failedDelta": 0,
"passedDelta": 0,
"perCase": [
{
"caseId": "<string>",
"passRateBpsDelta": 0
}
],
"unknownDelta": 0
},
"cost": {
"actualComponents": 4503599627370495,
"actualMicrousd": 4503599627370495,
"currency": "USD",
"estimatedComponents": 4503599627370495,
"estimatedMicrousd": 4503599627370495,
"pricingPolicyVersion": "<string>",
"unknownComponents": 4503599627370495
},
"duration": {
"averageMs": 4503599627370495,
"totalMs": 4503599627370495
},
"failures": [
{
"count": 123,
"result": "fail",
"scorerKey": "<string>"
}
],
"overall": {
"attempted": 4503599627370495,
"failed": 4503599627370495,
"passed": 4503599627370495,
"passRateBps": 5000,
"unknown": 4503599627370495
},
"perCase": [
{
"caseId": "<string>",
"counts": {
"attempted": 4503599627370495,
"failed": 4503599627370495,
"passed": 4503599627370495,
"passRateBps": 5000,
"unknown": 4503599627370495
}
}
],
"tokenUsage": {
"judge": {
"cacheReadInputTokens": 4503599627370495,
"cacheWriteInputTokens": 4503599627370495,
"inputTokens": 4503599627370495,
"noCacheInputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"reasoningOutputTokens": 4503599627370495,
"textOutputTokens": 4503599627370495,
"totalTokens": 4503599627370495
},
"simulator": {
"cacheReadInputTokens": 4503599627370495,
"cacheWriteInputTokens": 4503599627370495,
"inputTokens": 4503599627370495,
"noCacheInputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"reasoningOutputTokens": 4503599627370495,
"textOutputTokens": 4503599627370495,
"totalTokens": 4503599627370495
},
"target": {
"cacheReadInputTokens": 4503599627370495,
"cacheWriteInputTokens": 4503599627370495,
"inputTokens": 4503599627370495,
"noCacheInputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"reasoningOutputTokens": 4503599627370495,
"textOutputTokens": 4503599627370495,
"totalTokens": 4503599627370495
}
}
},
"targetKind": "canonical",
"totalTrials": 123,
"unknownTrials": 4503599627370495,
"updatedAt": "2026-08-29T14:30:00Z"
}
],
"nextCursor": "<string>"
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}{
"defined": true,
"inferable": true,
"code": "NOT_FOUND",
"status": 404,
"message": "<string>",
"data": "<unknown>"
}Authorizations
userOAuthmachineOAuth
Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.
Path Parameters
Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.
Maximum string length:
64Pattern:
^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
Query Parameters
Required string length:
1 - 1024Required range:
1 <= x <= 100Available options:
queued, running, completed, failed, cancelled Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.
Maximum string length:
64Pattern:
^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
⌘I
List Agent evaluation runs
curl --request GET \
--url https://api.getarbol.com/v1/agents/{agentId}/evaluation-runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/agents/{agentId}/evaluation-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/agents/{agentId}/evaluation-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"agentId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"baselineRunId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"cancelRequestedAt": "2026-08-29T14:30:00Z",
"completedAt": "2026-08-29T14:30:00Z",
"completedTrials": 4503599627370495,
"createdAt": "2026-08-29T14:30:00Z",
"failedTrials": 4503599627370495,
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"passedTrials": 4503599627370495,
"repetitions": 123,
"result": "pass",
"startedAt": "2026-08-29T14:30:00Z",
"status": "queued",
"suiteId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"suiteRevision": 123,
"summary": {
"baseline": {
"baselineRunId": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"failedDelta": 0,
"passedDelta": 0,
"perCase": [
{
"caseId": "<string>",
"passRateBpsDelta": 0
}
],
"unknownDelta": 0
},
"cost": {
"actualComponents": 4503599627370495,
"actualMicrousd": 4503599627370495,
"currency": "USD",
"estimatedComponents": 4503599627370495,
"estimatedMicrousd": 4503599627370495,
"pricingPolicyVersion": "<string>",
"unknownComponents": 4503599627370495
},
"duration": {
"averageMs": 4503599627370495,
"totalMs": 4503599627370495
},
"failures": [
{
"count": 123,
"result": "fail",
"scorerKey": "<string>"
}
],
"overall": {
"attempted": 4503599627370495,
"failed": 4503599627370495,
"passed": 4503599627370495,
"passRateBps": 5000,
"unknown": 4503599627370495
},
"perCase": [
{
"caseId": "<string>",
"counts": {
"attempted": 4503599627370495,
"failed": 4503599627370495,
"passed": 4503599627370495,
"passRateBps": 5000,
"unknown": 4503599627370495
}
}
],
"tokenUsage": {
"judge": {
"cacheReadInputTokens": 4503599627370495,
"cacheWriteInputTokens": 4503599627370495,
"inputTokens": 4503599627370495,
"noCacheInputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"reasoningOutputTokens": 4503599627370495,
"textOutputTokens": 4503599627370495,
"totalTokens": 4503599627370495
},
"simulator": {
"cacheReadInputTokens": 4503599627370495,
"cacheWriteInputTokens": 4503599627370495,
"inputTokens": 4503599627370495,
"noCacheInputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"reasoningOutputTokens": 4503599627370495,
"textOutputTokens": 4503599627370495,
"totalTokens": 4503599627370495
},
"target": {
"cacheReadInputTokens": 4503599627370495,
"cacheWriteInputTokens": 4503599627370495,
"inputTokens": 4503599627370495,
"noCacheInputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"reasoningOutputTokens": 4503599627370495,
"textOutputTokens": 4503599627370495,
"totalTokens": 4503599627370495
}
}
},
"targetKind": "canonical",
"totalTrials": 123,
"unknownTrials": 4503599627370495,
"updatedAt": "2026-08-29T14:30:00Z"
}
],
"nextCursor": "<string>"
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}{
"defined": true,
"inferable": true,
"code": "NOT_FOUND",
"status": 404,
"message": "<string>",
"data": "<unknown>"
}